body {
    font-family: Inter, sans-serif;
    margin: 0;
    padding: 0;
    font-size: 1rem;
    min-height: 100vh;
    /* background-color: #f4f4f4; */
}

.header-wrapper {
    display: flex;
    background: none;
    background-color: #333;
    color: #fff;
    padding: 1vh 2vw;
    /* text-align: center; */
    height: 6vh;
    justify-content: center;
    gap: 32vw;
  }

  .logo {
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 0%;
    margin: 0;
    cursor: pointer;
  }
  
  #logo-hkbk {
    font-size: 2rem;
    font-weight: 800;
    margin: 0;
  }
  
  #logo-glug {
    font-size: 2rem;
    margin: 0;
  }
  
  .navbar {
    display: flex;
    /* justify-content: center; */
    align-items: center; /* Center items vertically */ /* Allow items to wrap to the next line */
    overflow: hidden; /* Hide overflow to prevent buttons from overflowing */
    gap: 25px;
  }
  
  .navbar button {
    background: none;
    color: #fff;
    /* background-color: #333; */
    border: none;
    cursor: pointer;
    font-size: 1rem;
    /* margin: 5px; */
    text-align: center;
    justify-content: center;
    white-space: nowrap; /* Prevent button text from wrapping */
    transition: all 300ms cubic-bezier(0.23, 1, 0.32, 1);
  }
  
  .navbar button:hover {
    background-color: #575757;
    border-radius: 12px;
    padding: 14px 20px;
    transition: all 300ms cubic-bezier(0.23, 1, 0.32, 1);
  }

  .container {
    display: flex;
    background-color: #f4f4f4;
    flex-direction: column;
    padding-bottom: 20px;
    place-items: center;
  }

.container-title {
    font-size: 3rem;
    font-weight: 600;
    margin: 12vh;
    display: flex;
    justify-content: center;

  }

.blog-posts-subcontainer {
    width: 50vw;
    display: grid;
    grid-template-columns: repeat(4, 1fr); /* Four equal columns */
    grid-template-rows: auto; /* Automatically adjust rows */
    grid-template-areas:
        "x x x x"
        "y y z z"
        "w w w w";
    grid-gap: 28px;
    height: auto;
}

#post-1 { grid-area: x; }
#post-2 { grid-area: y; }
#post-3 { grid-area: z; }
#post-4 { grid-area: w; }

.blog-post {
  display: flex;
  flex-direction: column;
  border-radius: 28px;
  background-color: #0000000b;
  overflow: hidden;
  height: auto; /* Ensures each post takes a fixed height */
  width: 100%; /* Ensures each post takes full width of its grid area */
  position: relative;
}


#post-1,
#post-4{
    flex-direction: row;
    height: auto;
}

#post-2,
#post-3 {
    flex-direction: column;
    height: 54vh;
}

.blog-intro-img {
    background-repeat: no-repeat;
    background-size: cover;
    width: 40%;
  height: 100%;
  position: relative;
  overflow: hidden;
}

#intro-img-1 {
  background-image: url('../res/post1.jpg');
  width: 100%; /* Adjust width to 100% */
  height: 30vh;
}

#intro-img-2 {
  width: 100%; /* Adjust width to 100% */
  height: 250px;
  background-image: url("../res/post2.jpg");
}
#intro-img-3 {
  width: 100%; /* Adjust width to 100% */
  height: 250px;
  background-image: url("../res/post1.jpg");
}
#intro-img-4 {
  width: 100%; /* Adjust width to 100% */
  height: 30vh;
  background-image: url("../res/post2.jpg");
}

.blog-intro-right {
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  align-items: flex-start;
  padding: 30px;
    height: auto;
    margin: 0;
}




.blog-intro-genre,
.blog-intro-text {
    margin-bottom: 20px;
}

.blog-intro-subtext p{
    margin: 0;
}


.bi-pen {
    font-weight: 600;
    font-size: 0.9rem;
}

.blog-intro-author-date {
  font-size: 0.85rem;
  font-weight: 700;
  color: #3c3c3c;
  margin: 20px 0 0px 0;
  display: flex;
  align-items: center;
}

.blog-intro-genre p{
  margin: 0;
    font-size: 0.85rem;
    font-weight: 600;
    color: #000000bd;
}

.blog-intro-text p{
  margin: 0;
  font-size: 1.5rem;
  font-weight: 700;
}

.blog-intro-img::before {
  content: '';
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-repeat: no-repeat;
  background-size: cover;
  background-position: center;
  transition: transform 0.5s cubic-bezier(0.23, 1, 0.32, 1);
}

.blog-post:hover .blog-intro-img::before {
  transform: scale(1.05); /* Increase scale on hover */
}

#intro-img-1::before {
  background-image: url('../res/post1.jpg');
}

#intro-img-2::before {
  background-image: url("../res/post2.jpg");
}

#intro-img-3::before {
  background-image: url("../res/post1.jpg");
}

#intro-img-4::before {
  background-image: url("../res/post2.jpg");
}

.blog-intro-author p{
  margin: 0;
}